// CSliders.h -- window class
// Created 7/2/97 3:56 PM by AppMaker

#pragma once

#include <LWindow.h>
#include <LListener.h>

class	CGadgetsData;
class	LStream;

class	LStdControl;

//----------
class	CSliders :	public LWindow,
						public LListener {
public:	// static
	static	CSliders*	CreateSliders		(LCommander*		inSuperCommander,
													 CGadgetsData*	inData);

public:
	enum { class_ID = 'Slis' };

						CSliders		(LStream*	inStream);
	virtual				~CSliders();

	virtual void		ListenToMessage		(MessageT	inMessage,
											 void		*ioParam);

	virtual Boolean		ObeyCommand			(CommandT	inCommand,
											 void		*ioParam = nil);
	virtual void		FindCommandStatus	(CommandT	inCommand,
											 Boolean	&outEnabled,
											 Boolean	&outUsesMark,
											 Char16		&outMark,
											 Str255		outName);

protected:
	static	void		RegisterClass();
	virtual void		FinishCreateSelf();
	virtual void		ConnectToData	(CGadgetsData*	inData);


protected:
	static Boolean		sIsRegistered;

	CGadgetsData*	mData;

// Panes in this window:
	LStdControl*		mVerticalScroll;
	LStdControl*		mSliderScroll;
	LStdControl*		mSpinnerScroll;
	LStdControl*		mHorizontalScroll;
	LStdControl*		mPictSliderScroll;

};
